Skip to main content
Limited Release
Use a valid access token and make a GET call to the /v1/commerce/billing/events endpoint to retrieve usage events recorded with PayPal. Include the following query parameters:
ParameterAction
page
integer
Set the page number for paginated results. Default is 1.
per_page
integer
Set the number of events to return per page. Default is 10, maximum is 100.
external_subscription_id
string
Set to the external_id returned when you created the subscription to filter events for that subscription.
metric_code
string
Set to the code returned when you created the metric to filter events for that metric.
from_date
string
Set the start date to filter events from this date (ISO 8601 format).
to_date
string
Set the end date to filter events until this date (ISO 8601 format).
For information on all parameters, see API reference.
curl -X GET 'https://api-m.sandbox.paypal.com/v1/commerce/billing/events?per_page=10&page=1' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 200 OK response with the usage events.